> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Payroll Items

> Returns paginated pending payroll reporting items grouped by recipient with search and ordering.

Required scope: `payroll:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-pending-payroll-items
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-pending-payroll-items:
    get:
      operationId: getPendingPayrollItems
      summary: Get Pending Payroll Items
      x-toku-required-scope: payroll:read
      description: >-
        Returns paginated pending payroll reporting items grouped by recipient
        with search and ordering.


        Required scope: `payroll:read`. It also needs `compensation:read`.
      parameters:
        - name: page
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
        - name: rowsPerPage
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - name: searchTerm
          in: query
          required: false
          schema:
            type: string
        - name: orderBy
          in: query
          required: false
          schema:
            type: string
            enum:
              - recipientID
              - recipientName
              - organizationName
        - name: orderDirection
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPendingPayrollItemsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPendingPayrollItemsResponse:
      type: object
      properties:
        recipients:
          type: array
          items:
            type: object
            properties:
              recipientID:
                type: string
              recipientName:
                type: string
              organizationName:
                type: string
              country:
                type:
                  - string
                  - 'null'
              payrollEmployeeID:
                type:
                  - string
                  - 'null'
              employmentType:
                type:
                  - string
                  - 'null'
                enum:
                  - ADVISOR
                  - CONTRACTOR
                  - EMPLOYEE
                  - EX_EMPLOYEE
                  - OTHER
                  - SERVICE_PROVIDER
                  - null
              token:
                type:
                  - string
                  - 'null'
              currency:
                type: string
              vestingAmount:
                type: string
              fmv:
                type: string
              grossGain:
                type: string
              taxRate:
                type: string
              totalTax:
                type: string
              tokensWithheld:
                type: string
              netTokens:
                type: string
              netFiatAmount:
                type: string
              items:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    itemType:
                      type: string
                      enum:
                        - VESTING
                        - LOCKUP
                        - WARRANT_LOCKUP
                    eventDate:
                      type: string
                    settledDate:
                      type: string
                    grantID:
                      type: string
                    grantName:
                      type: string
                    grantType:
                      type: string
                    sequenceNumber:
                      type: integer
                    vestingAmount:
                      type: string
                      pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
                    token:
                      type:
                        - string
                        - 'null'
                    currency:
                      type:
                        - string
                        - 'null'
                    fmv:
                      type:
                        - string
                        - 'null'
                      pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]\d+)?|NaN|-?Infinity)$
                    grossGain:
                      type: string
                    taxRate:
                      type: string
                    totalTax:
                      type: string
                    tokensWithheld:
                      type: string
                    netTokens:
                      type: string
                    netFiatAmount:
                      type: string
                  required:
                    - id
                    - itemType
                    - eventDate
                    - grantID
                    - grantName
                    - sequenceNumber
                    - vestingAmount
                    - token
                    - currency
                    - fmv
                    - grossGain
                    - taxRate
                    - totalTax
                    - tokensWithheld
                    - netTokens
                    - netFiatAmount
            required:
              - recipientID
              - recipientName
              - organizationName
              - country
              - payrollEmployeeID
              - employmentType
              - token
              - currency
              - vestingAmount
              - fmv
              - grossGain
              - taxRate
              - totalTax
              - tokensWithheld
              - netTokens
              - netFiatAmount
              - items
        pagination:
          type: object
          properties:
            page:
              type: integer
            rowsPerPage:
              type: integer
            totalCount:
              type: integer
          required:
            - page
            - rowsPerPage
            - totalCount
      required:
        - recipients
        - pagination
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
